namespace Yuna.Website.Server.Storage.Repositories.User
{
    public interface IUserRepository
    {
        public Task<Model.User?> GetById(long id);
        public Task<Model.User?> GetByUsername(string username);
        public Task<IReadOnlyList<Model.User>> GetList();
        public Task<Model.User?> Create(Model.User? user);
        public Task<Model.User?> Update(Model.User? user);
        public Task<Model.User?> Delete(long id);
    }
}
